complexType "AdjustableDate2"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedDate
</...>

Content Model Elements (1):

  unadjustedDate (defined in AdjustableDate2 complexType)

All Direct / Indirect Based Elements (5):

  effectiveDate (defined in GeneralTerms complexType), effectiveDate (defined in GenericProduct complexType), expirationDate (defined in GenericProduct complexType), | scheduledTerminationDate, terminationDate (defined in GenericProduct complexType)

Known Usage Locations

- As direct type of elements (5):

  effectiveDate (defined in GeneralTerms complexType), effectiveDate (defined in GenericProduct complexType), expirationDate (defined in GenericProduct complexType), | scheduledTerminationDate, terminationDate (defined in GenericProduct complexType)

Annotation
A type that is different from AdjustableDate in two regards. First, date adjustments can be specified with either a dateAdjustments element or a reference to an existing dateAdjustments element. Second, it does not require the specification of date adjustments.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="AdjustableDate2"> <xsd:sequence> <xsd:element name="unadjustedDate" type="IdentifiedDate"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
unadjustedDate

  Type: | IdentifiedDate, simple content

  A date subject to adjustment.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="unadjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.